<?php
/**
* フィルタを定義するインタフェース
*
* PHP version 5
*
* @package    interfaces
* @author     stk2k <stk2k@sazysoft.com>
* @copyright  2008 stk2k, sazysoft
*/

interface IFilter extends IObject
{
	/**
	 *  フィルタを初期化
	 */
	public function init( Config $config );

	/**
	 *  フィルタリング
	 */
	public function filter( IRequest $request, Response $response );
}
return __FILE__;